---
title: Get BGP time series
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Radar](https://developers.cloudflare.com/api/go/resources/radar)

[BGP](https://developers.cloudflare.com/api/go/resources/radar/subresources/bgp)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get BGP time series

client.Radar.BGP.Timeseries(ctx, query) (\*[BGPTimeseriesResponse](<https://developers.cloudflare.com/api/go/resources/radar#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)>), error)

GET/radar/bgp/timeseries

Retrieves BGP updates over time. When requesting updates for an autonomous system, only BGP updates of type announcement are returned.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`User Details Write``User Details Read`

##### ParametersExpand Collapse

<details>

<summary>

query BGPTimeseriesParams

</summary>

<details>

<summary>

AggInterval param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/bgp/methods/timeseries#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">BGPTimeseriesParamsAggInterval</a>]Optional

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to <a href="https://developers.cloudflare.com/radar/concepts/aggregation-intervals/">Aggregation intervals</a>. When omitted, the interval is auto-selected from the requested date range; finer intervals are only available for shorter ranges. If the requested interval is too granular for the date range, the request is rejected.

</summary>

const BGPTimeseriesParamsAggInterval15m <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/bgp/methods/timeseries#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">BGPTimeseriesParamsAggInterval</a> = "15m"

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const BGPTimeseriesParamsAggInterval1h <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/bgp/methods/timeseries#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">BGPTimeseriesParamsAggInterval</a> = "1h"

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const BGPTimeseriesParamsAggInterval1d <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/bgp/methods/timeseries#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">BGPTimeseriesParamsAggInterval</a> = "1d"

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const BGPTimeseriesParamsAggInterval1w <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/bgp/methods/timeseries#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">BGPTimeseriesParamsAggInterval</a> = "1w"

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval">Link to this property</a>

ASN param.Field\[\[]string]Optional

Filters results by Autonomous System. Specify one or more Autonomous System Numbers (ASNs) as a comma-separated list. Prefix with <code>-</code> to exclude ASNs from results. For example, <code>-174, 3356</code> excludes results from AS174, but includes results from AS3356.

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20asn">Link to this property</a>

DateEnd param.Field\[\[]Time]Optional

End of the date range (inclusive). Alternative to <code>dateRange</code>; provide together with <code>dateStart</code>. When requesting comparison series, every series must resolve to the same duration as the main series. Each <code>dateStart</code>/<code>dateEnd</code> is floored to the nearest 15 minutes before evaluation, so windows whose durations match only before alignment may be rejected.

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20dateEnd">Link to this property</a>

DateRange param.Field\[\[]string]Optional

Filters results by relative date range ending at the current time, with each value producing a separate series. Use <code>&lt;n&gt;d</code> for days (up to <code>364d</code>) or <code>&lt;n&gt;w</code> for weeks (up to <code>52w</code>). Append <code>control</code> to request the equivalent previous period for comparison: the comparison window is shifted back by the current window’s length rounded up to a whole number of weeks, so it keeps the same weekday alignment and does not overlap the current window (e.g. <code>7dcontrol</code> covers days -14 to -7, <code>10dcontrol</code> covers days -24 to -14). For example, pass <code>7d</code> and <code>7dcontrol</code> to compare this week with the previous week. All series must resolve to the same duration as the main series; relative ranges (including <code>control</code>) satisfy this automatically. Use this parameter or set specific start and end dates (<code>dateStart</code> and <code>dateEnd</code> parameters).

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20dateRange">Link to this property</a>

DateStart param.Field\[\[]Time]Optional

Start of the date range. Alternative to <code>dateRange</code>; provide together with <code>dateEnd</code>. When requesting comparison series, every series must resolve to the same duration as the main series. Each <code>dateStart</code>/<code>dateEnd</code> is floored to the nearest 15 minutes before evaluation, so windows whose durations match only before alignment may be rejected.

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20dateStart">Link to this property</a>

<details>

<summary>

Format param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/bgp/methods/timeseries#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">BGPTimeseriesParamsFormat</a>]Optional

Format in which results will be returned.

</summary>

const BGPTimeseriesParamsFormatJson <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/bgp/methods/timeseries#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">BGPTimeseriesParamsFormat</a> = "JSON"

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const BGPTimeseriesParamsFormatCsv <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/bgp/methods/timeseries#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">BGPTimeseriesParamsFormat</a> = "CSV"

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format">Link to this property</a>

Name param.Field\[\[]string]Optional

Array of names used to label the series in the response.

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

Prefix param.Field\[\[]string]Optional

Filters results by BGP network prefix.

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20prefix">Link to this property</a>

<details>

<summary>

UpdateType param.Field\[\[]BGPTimeseriesParamsUpdateType]Optional

Filters results by BGP update type.

</summary>

const BGPTimeseriesParamsUpdateTypeAnnouncement BGPTimeseriesParamsUpdateType = "ANNOUNCEMENT"

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20updateType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const BGPTimeseriesParamsUpdateTypeWithdrawal BGPTimeseriesParamsUpdateType = "WITHDRAWAL"

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20updateType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20updateType">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.bgp%20%3E%20(method)%20timeseries%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type BGPTimeseriesResponse struct{…}

</summary>

<details>

<summary>

Meta BGPTimeseriesResponseMeta

</summary>

<details>

<summary>

AggInterval BGPTimeseriesResponseMetaAggInterval

</summary>

One of the following:

const BGPTimeseriesResponseMetaAggInterval15m BGPTimeseriesResponseMetaAggInterval = "15m"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%200">Link to this property</a>

const BGPTimeseriesResponseMetaAggInterval1h BGPTimeseriesResponseMetaAggInterval = "1h"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%201">Link to this property</a>

const BGPTimeseriesResponseMetaAggInterval1d BGPTimeseriesResponseMetaAggInterval = "1d"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%202">Link to this property</a>

const BGPTimeseriesResponseMetaAggInterval1w BGPTimeseriesResponseMetaAggInterval = "1w"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval">Link to this property</a>

<details>

<summary>

ConfidenceInfo BGPTimeseriesResponseMetaConfidenceInfo

</summary>

<details>

<summary>

Annotations \[]BGPTimeseriesResponseMetaConfidenceInfoAnnotation

</summary>

<details>

<summary>

DataSource BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource

Data source for annotations.

</summary>

One of the following:

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceAll BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "ALL"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%200">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceAIBots BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "AI\_BOTS"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%201">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceAIGateway BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "AI\_GATEWAY"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%202">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceBGP BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "BGP"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%203">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceBots BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "BOTS"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%204">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceConnectionAnomaly BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "CONNECTION\_ANOMALY"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%205">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceCT BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "CT"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%206">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceDNS BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "DNS"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%207">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceDNSMagnitude BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "DNS\_MAGNITUDE"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%208">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceDNSAS112 BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "DNS\_AS112"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%209">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceDos BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "DOS"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2010">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceEmailRouting BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL\_ROUTING"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2011">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceEmailSecurity BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL\_SECURITY"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2012">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceFw BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "FW"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2013">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceFwPg BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "FW\_PG"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2014">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceHTTP BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2015">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceHTTPControl BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP\_CONTROL"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2016">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceHTTPCrawlerReferer BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP\_CRAWLER\_REFERER"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2017">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceHTTPOrigins BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP\_ORIGINS"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2018">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceIQI BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "IQI"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2019">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceLeakedCredentials BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "LEAKED\_CREDENTIALS"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2020">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceNet BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "NET"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2021">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceRobotsTXT BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "ROBOTS\_TXT"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2022">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceSpeed BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "SPEED"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2023">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceWorkersAI BGPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "WORKERS\_AI"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2024">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource">Link to this property</a>

Description string

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

EndDate Time

formatdate-time

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20endDate">Link to this property</a>

<details>

<summary>

EventType BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType

Event type for annotations.

</summary>

One of the following:

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypeGeneral BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType = "GENERAL"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%200">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypeOutage BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType = "OUTAGE"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%201">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypePartialProjection BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType = "PARTIAL\_PROJECTION"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%202">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypePipeline BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType = "PIPELINE"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%203">Link to this property</a>

const BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypeTrafficAnomaly BGPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType = "TRAFFIC\_ANOMALY"

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType">Link to this property</a>

IsInstantaneous bool

Whether event is a single point in time or a time range.

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20isInstantaneous">Link to this property</a>

LinkedURL string

formaturi

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20linkedUrl">Link to this property</a>

StartDate Time

formatdate-time

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20startDate">Link to this property</a>

Tags \[]stringOptional

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations">Link to this property</a>

Level int64

Provides an indication of how much confidence Cloudflare has in the data.

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20level">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo">Link to this property</a>

<details>

<summary>

DateRange \[]BGPTimeseriesResponseMetaDateRange

</summary>

EndTime Time

Adjusted end of date range.

formatdate-time

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20dateRange%20%3E%20(items)%20%3E%20(property)%20endTime">Link to this property</a>

StartTime Time

Adjusted start of date range.

formatdate-time

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20dateRange%20%3E%20(items)%20%3E%20(property)%20startTime">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20dateRange">Link to this property</a>

LastUpdated Time

formatdate-time

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20lastUpdated">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

<details>

<summary>

Serie0 BGPTimeseriesResponseSerie0

</summary>

Timestamps \[]Time

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20serie_0%20%3E%20(property)%20timestamps">Link to this property</a>

Values \[]string

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20serie_0%20%3E%20(property)%20values">Link to this property</a>

</details>

<a href="#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20serie_0">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.bgp%20%3E%20(model)%20BGPTimeseriesResponse%20%3E%20(schema)>)

### Get BGP time series

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Radar.BGP.Timeseries(context.TODO(), radar.BGPTimeseriesParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Meta)
}
```

200 example

```
{
  "result": {
    "meta": {
      "aggInterval": "15m",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "GENERAL",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z",
            "tags": [
              "BOT_CLASS"
            ]
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z"
    },
    "serie_0": {
      "timestamps": [
        "2019-12-27T18:11:19.117Z"
      ],
      "values": [
        "10"
      ]
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "meta": {
      "aggInterval": "15m",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "GENERAL",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z",
            "tags": [
              "BOT_CLASS"
            ]
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z"
    },
    "serie_0": {
      "timestamps": [
        "2019-12-27T18:11:19.117Z"
      ],
      "values": [
        "10"
      ]
    }
  },
  "success": true
}
```